# Method: photo.startUpload

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photo/startUpload#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photo/startUpload#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photo/startUpload#body.response_body)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photo/startUpload#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photo/startUpload#try-it)

Creates an upload session to start uploading photo bytes. The method uses the upload URL of the returned `https://developers.google.com/streetview/publish/reference/rest/v1/photo#UploadRef` to upload the bytes for the `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo`.

In addition to the photo requirements shown in <https://support.google.com/maps/answer/7012050?ref_topic=6275604>, the photo must meet the following requirements:

- Photo Sphere XMP metadata must be included in the photo metadata. See <https://developers.google.com/streetview/spherical-metadata> for the required fields.
- The pixel size of the photo must meet the size requirements listed in <https://support.google.com/maps/answer/7012050?ref_topic=6275604>, and the photo must be a full 360 horizontally.

After the upload completes, the method uses `https://developers.google.com/streetview/publish/reference/rest/v1/photo#UploadRef` with `https://developers.google.com/streetview/publish/reference/rest/v1/photo/create#google.streetview.publish.v1.StreetViewPublishService.CreatePhoto` to create the `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo` object entry.

### HTTP request

`POST https://streetviewpublish.googleapis.com/v1/photo:startUpload`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/streetview/publish/reference/rest/v1/photo#UploadRef`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).